import { NIcon, NModal } from "naive-ui";
import { defineComponent, reactive } from "vue";
import { Close } from "@vicons/ionicons5";

export default defineComponent({
	name: "TheSetting",
	props: {
		show: {
			type: Boolean,
			default: false,
		},
	},
	emits: ["update:show"],
	setup(props, { emit }) {
		const data = reactive({
			show: false,
		});
		return () => (
			<NModal show={props.show}>
				<div>
					<div>设置</div>
					<div onClick={() => emit('update:show', false)}>
						<NIcon component={Close} />
					</div>
				</div>
				<div></div>
			</NModal>
		);
	},
});
